package com.neusoft.smart.pos.org.persistent.mapper;

import com.neusoft.smart.pos.org.persistent.domain.OrganizationGroupRelationExample;
import com.neusoft.smart.pos.org.persistent.domain.OrganizationGroupRelation;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
public interface OrganizationGroupRelationMapper {
    int countByExample(OrganizationGroupRelationExample example);

    int deleteByExample(OrganizationGroupRelationExample example);

    int deleteByPrimaryKey(OrganizationGroupRelation key);

    int insert(OrganizationGroupRelation record);

    int insertSelective(OrganizationGroupRelation record);

    List<OrganizationGroupRelation> selectByExample(OrganizationGroupRelationExample example);

    int updateByExampleSelective(@Param("record") OrganizationGroupRelation record, @Param("example") OrganizationGroupRelationExample example);

    int updateByExample(@Param("record") OrganizationGroupRelation record, @Param("example") OrganizationGroupRelationExample example);

    void batchInsert(@Param("items") List<OrganizationGroupRelation> items);
}